# Get Capture UE Signalling

## Download the Signaling PCAP file based on Start time, End time, IMSI, and RAT.

> Returns the Signaling PCAP file based on the provided Start Time, End Time, IMSI, and RAT.

```json
{"openapi":"3.0.0","info":{"title":"Monogoto Edge User API Configuration","version":"2.0"},"servers":[{"url":"https://api.monogoto.io/api"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"parameters":{"edgeIp":{"name":"edgeIp","in":"path","required":true,"schema":{"type":"string","enum":["Monogoto Edge IP"]},"description":"The IP address of the edge"}},"schemas":{"PcapError":{"type":"object","properties":{"error":{"type":"string"}},"required":["error"]}},"responses":{"InternalServerError":{"description":"Pod deleted.Server Error","content":{"application/json":{"schema":{"type":"object"}}}}}},"paths":{"/v1/edge/{edgeIp}/uepcap":{"get":{"tags":["Capture Signaling"],"summary":"Download the Signaling PCAP file based on Start time, End time, IMSI, and RAT.","description":"Returns the Signaling PCAP file based on the provided Start Time, End Time, IMSI, and RAT.","operationId":"downloadUePcap","parameters":[{"$ref":"#/components/parameters/edgeIp"},{"in":"query","name":"starttime","required":true,"schema":{"type":"string","format":"date-time"},"description":"Start time in ISO 8601 format (e.g., 2030-01-01 00:00:00)."},{"in":"query","name":"endtime","required":true,"schema":{"type":"string","format":"date-time"},"description":"End time in ISO 8601 format (e.g., 2030-01-01 00:00:00)."},{"in":"query","name":"imsi","required":false,"schema":{"type":"string"},"description":"Filter by IMSI (International Mobile Subscriber Identity)."},{"in":"query","name":"rat","required":false,"schema":{"type":"string","enum":["4G","5G"]},"description":"Filter by RAT (Radio Access Technology). Possible values 4G, 5G."}],"responses":{"200":{"description":"PCAP file successfully downloaded","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Invalid input parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PcapError"}}}},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/private-networks/monogoto-edge/edge-api/get-capture-ue-signalling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
